PYSEC-2023-245

Import Source
https://github.com/pypa/advisory-database/blob/main/vulns/pypinksign/PYSEC-2023-245.yaml
Aliases
Published
2023-11-16T18:15:00Z
Modified
2023-11-22T19:41:22.879966Z
Details

PyPinkSign v0.5.1 uses a non-random or static IV for Cipher Block Chaining (CBC) mode in AES encryption. This vulnerability can lead to the disclosure of information and communications.

References

Affected packages

PyPI / pypinksign

Package

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0The exact introduced commit is unknown

Affected versions

0.*

0.1
0.1.1
0.2
0.2.1
0.2.2
0.2.3
0.3
0.4
0.4.1
0.4.2
0.4.3
0.4.4
0.4.5
0.5.0
0.5.1